MatrixInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix.io
Class MatrixInfo

    java.lang.Object
      no.uib.cipr.matrix.io.MatrixInfo

    public class MatrixInfo

extends java.lang.Object

Contains information on a matrix in the Matrix Market exchange format. Supports all valid matrices.

Nested Class Summary
`static class` | `MatrixInfo.MatrixField` What kind of numbers are stored
`static class` | `MatrixInfo.MatrixSymmetry` Symmetry structure of the matrix, if any

Constructor Summary
`MatrixInfo(boolean sparse, MatrixInfo.MatrixField field, MatrixInfo.MatrixSymmetry symmetry)` Creates a specific type

Method Summary
`boolean` | `isArray()` Returns `true` if the matrix is in array format, else `false`
`boolean` | `isComplex()` Returns `true` if the matrix stores complex numbers, else `false`
`boolean` | `isCoordinate()` Returns `true` if the matrix is in coordinate format, else `false`
`boolean` | `isDense()` Returns `true` if the matrix is in array format, else `false`
`boolean` | `isGeneral()` Returns `true` if the matrix form is general, else `false`
`boolean` | `isHermitian()` Returns `true` if the matrix is Hermitian, else `false`
`boolean` | `isInteger()` Returns `true` if the matrix stores integers, else `false`
`boolean` | `isPattern()` Returns `true` if the matrix does not store any numbers, else `false`
`boolean` | `isReal()` Returns `true` if the matrix stores real numbers, else `false`
`boolean` | `isSkewSymmetric()` Returns `true` if the matrix is skew-symmetrical, else `false`
`boolean` | `isSparse()` Returns `true` if the matrix is in coordinate format, else `false`
`boolean` | `isSymmetric()` Returns `true` if the matrix is symmetrical, else `false`
`java.lang.String` | `toString()` Returns a string representation of the specifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatrixInfo

    public MatrixInfo(boolean sparse,
                      MatrixInfo.MatrixField field,
                      MatrixInfo.MatrixSymmetry symmetry)

  Creates a specific type

  Parameters:
    `sparse` - True for sparse matrices, else false
    `field` - Type of data stored
    `symmetry` - Matrix symmetry

Method Detail

### isSparse

    public boolean isSparse()

  Returns `true` if the matrix is in coordinate format, else `false`

### isCoordinate

    public boolean isCoordinate()

  Returns `true` if the matrix is in coordinate format, else `false`

### isDense

    public boolean isDense()

  Returns `true` if the matrix is in array format, else `false`

### isArray

    public boolean isArray()

  Returns `true` if the matrix is in array format, else `false`

### isReal

    public boolean isReal()

  Returns `true` if the matrix stores real numbers, else `false`

### isInteger

    public boolean isInteger()

  Returns `true` if the matrix stores integers, else `false`

### isComplex

    public boolean isComplex()

  Returns `true` if the matrix stores complex numbers, else `false`

### isPattern

    public boolean isPattern()

  Returns `true` if the matrix does not store any numbers, else `false`

### isGeneral

    public boolean isGeneral()

  Returns `true` if the matrix form is general, else `false`

### isSymmetric

    public boolean isSymmetric()

  Returns `true` if the matrix is symmetrical, else `false`

### isSkewSymmetric

    public boolean isSkewSymmetric()

  Returns `true` if the matrix is skew-symmetrical, else `false`

### isHermitian

    public boolean isHermitian()

  Returns `true` if the matrix is Hermitian, else `false`

### toString

    public java.lang.String toString()

  Returns a string representation of the specifier. Can be used to provide a header for writing to a file. It is a two-line output, which can look like this:

             %%MatrixMarket matrix coordinate real general

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD